## pytest-services 2.2.1%2Bds

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Pytest-BDD.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Pytest-BDD.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Pytest-BDD"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Pytest-BDD"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
pytest-services (2.2.1+ds-2) unstable; urgency=medium

  * Team Upload.
  * Bump mysql-testsuite-5.7 Build-Dep to mysql-testsuite-8.0
    (Closes: #971670)

 -- Stefano Rivera <stefanor@debian.org>  Thu, 20 May 2021 13:17:37 -0400

pytest-services (2.2.1+ds-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Pierre-Elliott Bécue ]
  * New upstream release 2.2.1+ds
    - DS repack to drop .gitignore file
  * d/rules: drop dh_auto_clean as setuptools_scm is called and not
    necessarily present on the build host
  * Bump Standards-Version to 4.5.1
  * Alter the autopkgtest scripts so that tests work again

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 17 Jan 2021 00:39:30 +0100

pytest-services (2.1.0-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Pierre-Elliott Bécue ]
  * New upstream release 2.1.0
  * d/watch: fix filemangle issues
  * d/t/python3-pytest-services: Use py3versions -s instead of py3versions -i
  * Bump debhelper-compat version to 13

 -- Pierre-Elliott Bécue <peb@debian.org>  Tue, 08 Sep 2020 22:00:45 +0200

pytest-services (2.0.1-2) unstable; urgency=medium

  * Source-only rebuild to enter testing (dependency of mailmanclient)

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 29 Dec 2019 19:52:08 +0100

pytest-services (2.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #793354)

 -- Pierre-Elliott Bécue <peb@debian.org>  Wed, 25 Dec 2019 01:19:43 +0100

=== debian/control ===
Source: pytest-services
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Pierre-Elliott Bécue <peb@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               default-libmysqlclient-dev,
               dh-python,
               libmemcached-dev,
               memcached,
               mysql-testsuite-8.0,
               python3-all,
               python3-astroid,
               python3-mock,
               python3-mysqldb,
               python3-psutil,
               python3-pylama,
               python3-pylibmc,
               python3-pytest,
               python3-requests,
               python3-setuptools,
               python3-setuptools-scm,
               python3-zc.lockfile (>= 2.0),
               xvfb
Standards-Version: 4.5.1
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no
Homepage: https://github.com/pytest-dev/pytest-services
Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-services.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-services

Package: python3-pytest-services
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Collection of fixtures and utility functions for py.test
 The plugin provides a set of fixtures and utility functions to start service
 processes for tests with pytest
 .
 This package contains the plugin for Python 3 code.

=== debian/tests/control ===
Tests: python3-pytest-services
Depends: default-libmysqlclient-dev,
         libmemcached-dev,
         memcached,
         mysql-testsuite-8.0,
         python3-all,
         python3-astroid,
         python3-mock,
         python3-mysqldb,
         python3-pylama,
         python3-pylibmc,
         python3-pytest-services,
         xvfb
Restrictions: isolation-container

## pytest-services 2.2.1+ds

=== debian/changelog ===
pytest-services (2.2.1+ds-4) unstable; urgency=medium

  * Team Upload.
  * Disable failing MySQL test (Closes: #1071776)
  * Remove extraneous dependency on python3-mock
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Wed, 21 Aug 2024 15:45:38 +0200

pytest-services (2.2.1+ds-3) unstable; urgency=medium

  [ Stefano Rivera ]
  * Declare "needs-root" for the autopkgtest.
  * autopkgtest: Use $AUTOPKGTEST_NORMAL_USER, if provided.

  [ Pierre-Elliott Bécue ]
  * d/watch: update the URL

 -- Pierre-Elliott Bécue <peb@debian.org>  Mon, 31 Oct 2022 22:37:05 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,12 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                default-libmysqlclient-dev,
-               dh-python,
+               dh-sequence-python3,
                libmemcached-dev,
                memcached,
                mysql-testsuite-8.0,
                python3-all,
                python3-astroid,
-               python3-mock,
                python3-mysqldb,
                python3-psutil,
                python3-pylama,
@@ -35,5 +34,3 @@
 Description: Collection of fixtures and utility functions for py.test
  The plugin provides a set of fixtures and utility functions to start service
  processes for tests with pytest
- .
- This package contains the plugin for Python 3 code.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=pytest-services
export PYBUILD_TEST_ARGS=-p pytest_services.plugin -k 'not test_mysql'

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:

=== debian/tests/control ===
--- 
+++ 
@@ -5,10 +5,9 @@
          mysql-testsuite-8.0,
          python3-all,
          python3-astroid,
-         python3-mock,
          python3-mysqldb,
          python3-pylama,
          python3-pylibmc,
          python3-pytest-services,
          xvfb
-Restrictions: isolation-container
+Restrictions: isolation-container,needs-root
